<?php

namespace App\Http\Livewire\Buscador\Panel;

use Livewire\Component;

class FechaFactura extends Component
{

    public $fecha_factura_desde;
    public $fecha_factura_hasta;

    /*************************/
    /**  RESETEAR           **/
    /*************************/
    public function resetear()
    {
        $this->reset([       
        'fecha_factura_desde',
        'fecha_factura_hasta'      
        ]);
    }
    /*************************/
    /**  ENVIAR             **/
    /*************************/
    public function enviar()
    {

        if($this->fecha_factura_desde > $this->fecha_factura_hasta)
        {
            $mensaje = "Error en los parametros, La fecha desde debe ser menor o igual a la fecha hasta";
            $this->emit('ev_msj_error', $mensaje);
            $this->resetear();
        }
        elseif($this->fecha_factura_desde == '')
        {
            $mensaje = "El campo fecha factura desde no debe estar vacio";
            $this->emit('ev_msj_info', $mensaje);
            $this->resetear();
        }
        elseif($this->fecha_factura_hasta == '')
        {
            $mensaje = "El campo fecha factura hasta no debe estar vacio";
            $this->emit('ev_msj_info', $mensaje);
            $this->resetear();
        }
        else
        {
            $this->emit('ev_buscar_fecha_factura',$this->fecha_factura_desde,$this->fecha_factura_hasta);
        }
    }
    /*************************/
    /**  RENDER             **/
    /*************************/
    public function render()
    {
        return view('livewire.buscador.panel.fecha-factura');
    }
}
